Zum Hauptinhalt springen

Delete a key for a project

DELETE/v2/projects/{projectId}/ai-hosting-keys/{keyId}
API-Version
v2
Request-Methode
DELETE
Operation-ID
ai-hosting-project-delete-key

Request​

  • projectIdstringrequired
  • keyIdstringrequired

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/ai-hosting-keys/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.aiHosting.aiHostingProjectDeleteKey({
"projectId": "string",
"keyId": "string"
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\AIHosting\AiHostingProjectDeleteKey\AiHostingProjectDeleteKeyRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new AiHostingProjectDeleteKeyRequest(
projectId: "string",
keyId: "string"
));
$response = $client->aiHosting()->aiHostingProjectDeleteKey($request);

var_dump($response->getBody();

Auf dieser Seite